%define tarball xf86-input-microtouch
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 microtouch input driver
Name:      	xorg-x11-drv-microtouch
Version: 	1.2.0
Release: 	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-input-microtouch

%description 
X.Org X11 microtouch input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/microtouch_drv.so
#%dir %{_mandir}/man4
%{_mandir}/man4/microtouch.4*

%changelog
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.2.0-1
- Version update
* Tue Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt against X.org 7.3
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Initial release
